Skip to main content
GET
/
api
/
v2
/
providers
List Active Data Providers (v2)
curl --request GET \
  --url https://{host}/api/v2/providers
[
  {
    "provider_id": 1234,
    "name": "Example Bank",
    "country": "CA",
    "scopes": [
      "ACCOUNT_BASIC",
      "ACCOUNT_DETAILED",
      "TRANSACTIONS"
    ],
    "status": "Activated",
    "connectorName": "akoya",
    "availableAccountTypes": {
      "depositAccounts": "true",
      "investmentAccounts": "true",
      "loanAccounts": "true",
      "locAccounts": "false"
    }
  }
]
Use the /api/v2/providers endpoint to list which Data Providers a particular Data Recipient is registered with.

Use this endpoint if you want to receive a more detailed response

This endpoint performs a similar function to the List Active Data Providers (v1) endpoint, but returns a more robust data response. Use this endpoint if you need to retrieve any of the data points listed in the 200 HTTPS response, such as Data Provider name, providerId, registration status, and more.

Query Parameters

country
string

Filter the results based on the country that the Data Provider operates in. Possible values include:

  • CA - Only include Data Providers operating in Canada
  • US - Only include Data Providers operating in the US
  • CA,US - Only include Data Providers operating in Canada and the US
isEnabledForClient
boolean

Filter the results based on each Data Provider's current registration status with the Data Recipient (that is calling the endpoint).

  • TRUE - Returns only Data Providers with the status: Activated
  • FALSE - Returns only Data Providers with the statuses: Available, PendingActivation, Suspended

If this parameter is excluded or blank, then all Data Providers in the system will be returned regardless of registration status.

Registration Statuses:

  • Activated - Data Recipient has an active registration status with the Data Provider
  • Available - Data Recipient is not registered with the Data Provider
  • PendingActivation - A registration request with the Data Provider has been submitted, but not yet activated
  • Suspended - A previous registration with the Data Provider has been made inactive
connectorName
string

Filter the results based on the third-party provider that enables access to the Data Provider (such as 'akoya').

Response

Result

providerId
integer

The unique identifier for the Data Provider.

name
string

The name of the Data Provider.

country
string

The country the Data Provider operates in (CA or US).

scopes
string[]

The data scopes available from this Data Provider.

status
string

The registration status of this Data Provider for the Data Recipient.

connectorName
string

The third-party provider that enables access to this Data Provider.

availableAccountTypes
object

The types of accounts available from this Data Provider.